Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 973343 - redhat-lsb fails to build for aarch64
Summary: redhat-lsb fails to build for aarch64
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: redhat-lsb
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-11 18:10 UTC by Mark Salter
Modified: 2013-08-13 14:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-13 14:12:04 UTC
Type: Bug


Attachments (Terms of Use)
aarch64 support for redhat-lsb (5.28 KB, patch)
2013-06-11 18:10 UTC, Mark Salter
no flags Details | Diff

Description Mark Salter 2013-06-11 18:10:29 UTC
Created attachment 759755 [details]
aarch64 support for redhat-lsb

Description of problem:
Cannot build redhat-lsb for aarch64. INTERNAL_SYSCALL needs to be defined for aarch64. Also, aarch64 kernel does not have __NR_symlink syscall. New architectures only have _NR_symlinkat. Patch attached.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Ondrej Vasik 2013-06-11 18:54:40 UTC
Thanks for suggestion. Actually, I see redhat-lsb spec doesn't respect arm and aarch64 too much - a lot of defines was missing. I added some guesses, please check them in https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130610/1037979.html and propose adjustments, if needed. Built in Rawhide and F19, as it doesn't affect the primary arches, closing Rawhide (I don't need to do bodhi update for this).

Comment 2 Mark Salter 2013-06-11 20:17:48 UTC
Thanks for the quick turnaround. The other changes look fine except that the ldso name is ld-linux-aarch64.so.1 for aarch64.

Comment 3 Ondrej Vasik 2013-06-11 20:56:38 UTC
Ok, I changed that and pushed it to the Fedora master/f19 git ... no build, no release bump - it will get fixed by the next build.

Comment 4 Mark Salter 2013-08-12 17:19:00 UTC
Ondrej,

We got mixed up somewhere and the redhat-lsb-aarch64.patch is a patch of the patchfile, not the actual patch we need. If you get my meaning. :) When %prep applies it, it just creates the patch file we actually want to apply. So build is still broken on aarch64.

Comment 5 Ondrej Vasik 2013-08-13 14:12:04 UTC
Oops, fixed the patch so it patches the file and not that it creates new patch for patching the file. If you know what I mean :). ( https://lists.fedoraproject.org/pipermail/scm-commits/Week-of-Mon-20130812/1091650.html ) - closing RAWHIDE again.


Note You need to log in before you can comment on or make changes to this bug.